#
# spec file for package wimax-tools
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           wimax-tools
Version:        1.4.5
Release:        5.1
License:        BSD
Summary:        WiMAX Low Level Tools
Url:            http://linuxwimax.org
Group:          Productivity/Networking/Other
Source0:        wimax-tools-%{version}.tar.gz

%if 0%{?suse_version} < 1130
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
%endif
BuildRequires:  gcc
BuildRequires:  libnl-devel
BuildRequires:  pkg-config
BuildRequires:  tar
%if 0%{?suse_version} >= 1130
BuildRequires:  pkgconfig(glib-2.0)
%else
BuildRequires:  glib2-devel
%endif

%description
Tools for diagnosing and testing WiMAX connectivity.
These tools work at a very low level using the Linux kernel's WiMAX
stack.
This package does not provide high level connectivity support, but
packages that do so might depend on it.

%package devel

Summary:        Development files for WiMAX Low Level Tools
Group:          Development/Libraries/Other

Requires:       %{name} >= %{version}

%description devel
Development support for the WiMAX Low Level Tools.
This package provides the header files and libraries needed to compile
programs that will use the runtime libraries provided by the WiMAX Low
Level Tools.

%package lib

Summary:        Runtime libraries for WiMAX Low Level Tools
Group:          System/Libraries

%description lib
Runtime libraries for the WiMAX Low Level Tools.
Other applications use these libraries to gain access to the WiMAX
kernel stack.

%prep
%setup -q -n wimax-tools-%{version}

%build
%configure --prefix=/usr --disable-static
make %{?_smp_mflags}

%install
#compat string for SLE11*
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done
# remove static libs and .la files
rm %{buildroot}/%{_libdir}/libwimaxll*.a
rm %{buildroot}/%{_libdir}/libwimaxll*.la

%files
%defattr(-,root,root,-)
%{_bindir}/wimaxll-wait-for-state-change
%{_bindir}/wimaxll-rfkill
%{_bindir}/wimaxll-reset
%{_bindir}/wimaxll
%{_bindir}/wimax-tools-version

%files devel
%defattr(-,root,root,-)
%{_includedir}/wimaxll.h
%{_includedir}/wimaxll-version.h
%{_includedir}/wimaxll/
%{_libdir}/pkgconfig/*wimax*
%{_libdir}/libwimaxll*.so

%files lib
%defattr(-,root,root,-)
%{_libdir}/libwimaxll*.so.*
%{_libdir}/wimax-tools/

%post -n wimax-tools-lib -p /sbin/ldconfig
%postun -n wimax-tools-lib -p /sbin/ldconfig

%changelog
* Fri Oct 21 2011 tony@daylessday.org
- Removed static libs and .la files.
* Tue Oct 11 2011 tony@daylessday.org
- Updated to 1.4.5 and fixed build.
* Tue Feb 17 2009 inaky.perez-gonzalez@intel.com
- Update to 1.4.0 (fix detection of non-wimax interfaces)
* Tue Feb 10 2009 inaky.perez-gonzalez@intel.com
- Add dependency to kernel-headrs-wimax to fix lack of kernel-headers
* Tue Feb  3 2009 inaky.perez-gonzalez@intel.com
- Initial (still incomplete and crappy) commit of v1.4.0
